Bug 604172 - Manipulating triggers in the Trigger Service
Manipulating triggers in the Trigger Service
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: Grid_User_Guide (Show other bugs)
Development
All Linux
medium Severity medium
: 1.3
: ---
Assigned To: Lana Brindley
ecs-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-15 10:41 EDT by Robert Rati
Modified: 2013-10-23 19:16 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-14 16:05:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Rati 2010-06-15 10:41:33 EDT
Description of problem:
This is the additional information from BZ510139 regarding manipulating event triggers in the Condor Trigger Service.

Adding triggers:
To add a trigger to the Trigger Service, the name, query, and trigger text must be provided to the condor_trigger_config command:

condor_trigger_config -a -n <name> -q <query> -t <text> broker

Where:
<name> is the name of the trigger
<query> is the classad query that must evaluate to true for the trigger to fire
<text> is the string that should be raised in the event
broker is the broker communicating with the Trigger Service


Removing triggers:
To remove a trigger from the Trigger Service, the ID number must be known (0 deletes all triggers):

condor_trigger_config -d <id> broker

Where:
<id> is the triggers unique ID number
broker is the broker communicating with the Trigger Service


Listing triggers:
To list triggers configured in the Trigger Service:

condor_trigger_config -l broker

Where:
broker is the broker communicating with the Trigger Service


Updates to BZ510139:
The condor_trigger_config is located in /usr/sbin not /sbin

Remove the following triggers from the list of default triggers:
Logs with Errors
Logs with Permission Errors
Logs with Warnings

And Add:
Trigger Name:                ClassAd Query:
Logs with ERROR entries     (TriggerdCondorLogCapitalError != \"\")
Logs with error entries     (TriggerdCondorLogLowerError != \"\")
Logs with DENIED entries    (TriggerdCondorLogCapitalDenied != \"\")
Logs with denied entries    (TriggerdCondorLogLowerDenied != \"\")
Logs with WARNING entries   (TriggerdCondorLogCapitalWarning != \"\")
Logs with warning entries   (TriggerdCondorLogLowerWarning != \"\")
Logs with stack dumps       (TriggerdCondorLogStackDump != \"\")


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Robert Rati 2010-06-15 11:13:49 EDT
Additional update to BZ510139:
Change:

condor_trigger_config -i

to:

condor_trigger_config -i broker

Where:
broker is the broker communicating with the Trigger Service
Comment 2 Lana Brindley 2010-06-20 20:31:26 EDT
All done. Will be available on the stage for review shortly.

LKB

Note You need to log in before you can comment on or make changes to this bug.